%define name    apachetop
%define version 0.12.6
%define release %mkrel 4

Summary:	Utility to display Apache logs with a top-like interface
Name:		%name
Version:	%version
Release:	%release
License:	BSD
Group:		Monitoring
URL:		http://www.webta.org/projects/apachetop/
Source0:	http://www.webta.org/apachetop/%name-%version.tar.bz2
# mandrivaize default logfile
Patch1:		%name-0.12.6-logfile.patch
# support logfiles over 2GB (from Debian)
Patch2:		apachetop-0.12.5-large_logfile.patch
# gcc4.1 fixes (from Debian)
Patch3:		apachetop-0.12.6-gcc41.patch
BuildRequires:	ncurses-devel
BuildRequires:	m4
BuildRequires:	pcre-devel
BuildRequires:	adns-devel
BuildRequires:	readline-devel
BuildRequires:	autoconf2.5
Requires:	apache
BuildRoot:	%_tmppath/%name-%version

%description
ApacheTop: top-like display of Apache logs.

ApacheTop watches a logfile generated by Apache (in standard common or
combined logformat, although it doesn't (yet) make use of any of the extra
fields in combined) and generates human-parsable output in realtime.


%prep
%setup -q
%patch1 -p1 -b .log
%patch2 -p1 -b .large
%patch3 -p1 -b .gcc41

%build
%configure2_5x
%make


%install
rm -rf %{buildroot}
%makeinstall

# 0.7: remove manpage, not usefull yet, read readme instead
rm %{buildroot}%{_mandir}/man1/*


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,)
%_bindir/*
#%_mandir/man1/*
%doc AUTHORS LICENSE README ChangeLog TODO


%changelog
* Sat Feb 28 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.12.6-4mdv2009.1
+ Revision: 345951
- rebuild for latest readline
- rediff fuzzy patches

* Thu Jun 19 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.12.6-2mdv2009.0
+ Revision: 226159
- rebuild

* Thu Dec 20 2007 Olivier Blin <oblin@mandriva.com> 0.12.6-1mdv2008.1
+ Revision: 135823
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request
    - s/Mandrake/Mandriva/

* Sat Apr 21 2007 Pascal Terjan <pterjan@mandriva.org> 0.12.6-1mdv2008.0
+ Revision: 16518
- 0.12.6 (security update)
- Change URL as the original author no longer maintains it
- Add P1 from debian for large logfiles support
- Add P2 from debian for gcc4.1 support
- Use autoconf 2.5
- Import apachetop




* Thu Jun 23 2005 Pascal Terjan <pterjan@mandrake.org> 0.12.5-3mdk
- BuildRequires readline-devel

* Thu Feb 10 2005 Oden Eriksson <oeriksson@mandrakesoft.com> 0.12.5-2mdk
- rebuilt against new readline libs

* Tue Dec 14 2004 Pascal Terjan <pterjan@mandrake.org> 0.12.5-1mdk
- 0.12.5
- Drop patch2 (merged upstream)

* Sun Jul 25 2004 Pascal Terjan <pterjan@mandrake.org> 0.12-1mdk
- 0.12
- updated patch2 (gcc 3.4)

* Fri Jul 09 2004 Michael Scherer <misc@mandrake.org> 0.9-2mdk
- rebuild for new gcc
 
* Wed Jan 07 2004 Pascal Terjan <pterjan@mandrake.org> 0.9-1mdk
- 0.9

* Tue Dec 09 2003 Marcel Pol <mpol@mandrake.org> 0.8.1-1mdk
- 0.8.1

* Fri Nov 21 2003 Marcel Pol <mpol@gmx.net> 0.8-1mdk
- 0.8

* Sat Nov 15 2003 Olivier Thauvin <thauvin@aerov.jussieu.fr> 0.7-2mdk
- From Franck Villaume <fvill@freesuf.fr>
	- add m4 to BuildRequires

* Thu Oct 16 2003 Marcel Pol <mpol@gmx.net> 0.7-1mdk
- initial mandrake package
